<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN"
"http://www.openmobilealliance.org/tech/DTD/xhtml-mobile12.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
			<?php

		// >>> Fetch seo data for this section
	if ( ! $this->is_tour ) {
		if ( isset($this->params['zone']) && !empty( $this->params['zone'] ) ) {
			$entity = 'm-cityzone';
		}
		elseif ( isset($this->params['city']) && !empty( $this->params['city'] ) ) {
			$entity = 'm-city';
		}
		elseif ( isset($this->params['region']) && !empty( $this->params['region'] ) ) {
			$entity = 'm-region';
		}
	}

	if ( isset($entity) ) {
		$tpl_data = array();
		$primary_id = 0;

		switch ( $entity ) {
			case 'm-city':
				$m = new Cubix_Geography_Cities();
				$city = $m->getBySlug($this->params['city']);

				if ( ! $city ) break;

				$primary_id = $city->id;
				$tpl_data['city'] = $city->title;
				$tpl_data['region'] = $city->getRegionTitle();
				break;
			case 'm-cityzone':
				$m = new Cubix_Geography_Cityzones();
				$cityzone = $m->getBySlug($this->params['zone']);

				if ( ! $cityzone ) break;

				$primary_id = $cityzone->id;

				$tpl_data['cityzone'] = $cityzone->title;
				$city = $cityzone->getCity();
				$tpl_data['city'] = $city->title;
				$tpl_data['region'] = $city->getRegionTitle();

				break;
		}

		$seo = $this->seo($entity, $primary_id, $tpl_data);


		if ( $seo ) {
			if ( strlen($seo->title) ) {
				$seo->title = $seo->title.' - Mobile';
				$this->headTitle($seo->title, 'SET');
			}

			if ( strlen($seo->keywords) ) {
				$this->headMeta()->setName('keywords', $seo->keywords);
			}

			if ( strlen($seo->description) ) {
				$this->headMeta()->setName('description', $seo->description);
			}

			$this->layout()->footer_text = $seo->footer_text;
		}
	}else{
		$seo = $this->seo('m-home-page-' . $this->static_page_key, null, array('app_title' => Cubix_Application::getById()->title));
		if ( $seo ) {
			if ( strlen($seo->title) ) {
				$this->headTitle($seo->title.' - Mobile', 'SET');
			}

			if ( strlen($seo->keywords) ) {
				$this->headMeta()->setName('keywords', $seo->keywords);
			}

			if ( strlen($seo->description) ) {
				$this->headMeta()->setName('description', $seo->description);
			}

			if ( strlen($seo->footer_text) ) {
				$this->layout()->footer_text = $seo->footer_text;
			}
		}
	}
	// <<<
	?>

	<?= $this->headTitle() ?>
	<?= $this->headMeta() ?>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.css" />

        <link rel="stylesheet" href="/css/mobile/grid.css?v=<?= time()?>" />

        <script type="text/javascript" src="/js/mobile/external/jquery-1.10.2.min.js"></script>

        <script type="text/javascript">
            $(document).bind("mobileinit", function(){
                $.mobile.pushStateEnabled = true;
            });
        </script>

        <script type="text/javascript" src="https://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.js"></script>
		
<!--        <script type="text/javascript" src="/js/mobile/default/underscore.js"></script>-->
        <script type="text/javascript" src="/js/mobile/default/define.js"></script>
        <script type="text/javascript" src="/js/mobile/default/index.js"></script>
        <script type="text/javascript" src="/js/mobile/default/escorts.js?v=12"></script>


        <script type="text/javascript" src="/js/mobile/external/jquery.form.js"></script>
        <script src="/js/mobile/plugins/validate/jquery.validate.min.js"></script>

        <?php if( $this->existVideo ): ?>
            <script type="text/javascript" src="https://st.beneluxxx.com/js/jwplayer.js"></script>
            <script type="text/javascript">
                //<![CDATA[
                jwplayer.key="2Jl4iHdNg8jOvK4EtIxZ6XHOcYIYFfWQOP2O9g=="    //]]>
            </script>
        <?php endif; ?>

<!--        <script type="text/javascript" src="/js/mobile/global.js"></script>-->
<!--        <script type="text/javascript" src="/js/mobile/popup.js"></script>-->
<!--        <script type="text/javascript" src="/js/mobile/plugins/overlay.js"></script>-->
        <script type="text/javascript" src="/js/mobile/default/comments-v2.js?v=12"></script>

        <? $current_user = Model_Users::getCurrent(); ?>

        <? $is_member = $is_escort = 'false'; ?>
        <? if ( $current_user && $current_user->isMember() ): ?>
            <? $is_member = 'true'; ?>
        <? elseif ( $current_user && $current_user->isEscort() ): ?>
            <? $is_escort = 'true'; ?>
        <? endif; ?>

        <? $this->headScript()
            ->appendScript('Cubix.Comments.lng = "' . $this->lang() . '"')
            ->appendScript('Cubix.Comments.escort_id = "' . $this->escort->id . '"')
            ->appendScript('Cubix.Comments.is_member = "' . $is_member . '"')
            ->appendScript('Cubix.Comments.is_escort = "' . $is_escort . '"');
        ?>
<!--        <script type="text/javascript" src="/js/mobile/private-messaging.js"></script>-->

        <!--        <script type="text/javascript" src="/js/mobile/plugins/jquery.mobile.lazyloader.min.js"></script>-->

        <script>
            $(document).on("pageshow", function (event) {

                var items = '',
                    ul = $(".mainMenu:empty");

                for (var i = 0; i < menu.length; i++) {
                    items += '<li><a rel="external" href="' + menu[i].url + '">' + menu[i].title + '</a></li>';
                }

                ul.append(items);
                ul.listview('refresh');

//                $("img.lazyload").lazyload({
//                    effect : "fadeIn"
//                });

            });

            $( "#panel-menu" ).trigger( "updatelayout" );


            var menu = [
                { title: '<?= __('new') ?> <?= __('escorts') ?>', url: '<?= $this->getLink('escorts') . "?sort=newest" ?>' },
                { title: '<?= __('tours') ?>', url: '<?= $this->getLink('escorts', array('tours'), true) ?>' },
                { title: '<?= __('filter') ?>', url: '<?= $this->getLink('search') ?>' },
                { title: '<?= __('reviews') ?>', url: '<?= $this->getLink('reviews') ?>' },
                { title: '<?= __('switch_to_classic') ?>', url: 'http://www.beneluxxx.com/?full_version=1' },
                /*{ title: '<//= __('latest_comments') ?>', url: '<//= $this->getLink('reviews') ?>' },*/
                /*{ title: '<//= __('gps_location') ?>', url: '<//= $this->getLink('gps-location') ?>' },
                <// if (!$user = Model_Users::getCurrent()): ?>
                 { title: '<//= __('login') ?>', url: '<//= $this->getLink('private'); ?>' },
                <// else: ?>
                 { title: '<//= __('private_area') ?>', url: '<//= $this->getLink('private'); ?>' },
                <// endif; ?>
                 { title: '<//= __('switch_to_classic') ?>', url: 'http://www.escortforumit.xxx/?full_version=1' },
                 { title: 'escortforumit.xxx', url: 'http://www.escortforumit.xxx' }*/
            ];

        </script>
	</head>

	<body>
<!--     == Layout MOBILE INDEX ==-->
        <div class="overlay"></div>

		<div id="wrap" data-role="page" >


            <!-- This is the navigation panel that opens to show the menu -->
            <div data-role="panel" id="panel-menu" data-position="left" data-display="overlay">
                <div class="ui-panel-inner">
                    <!-- This UL is the menu, where the items will be added -->
                    <!-- Make sure you don't add any <li> or any other content inside it! -->
                    <ul data-role="listview" class="mainMenu"></ul>
                </div>
                <a class="close-left-panel" data-rel="close" href="#panel-menu"></a>
            </div>
            <!-- /panel -->

			<div id="header" class="h65" data-role="header" >
                <ul class="list-area">
                    <li class="to-right" style="width: 54px;">
                        <a href="#panel-menu" data-inline="true">
                            <img src="/img/mobile/menu-bar.png" />
                        </a>
                    </li>
                    <li class="center-left" style="width: auto;">
                        <a rel="external" href="<?= $this->getLink('') ?>">
                            <img src="/img/mobile/logo.png" />
                        </a>
                    </li>
                    <li class="to-left" style="width: 77px;" >
                        <?
                            $url = $this->getLink('trim',array('request_url' => $_SERVER['REQUEST_URI']),true);

                            $url = explode('/', trim($url, '/'));
                            if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() )
                                $url[0] = '%s';
                            else
                                array_unshift($url, '%s'); $lang_url = '/' . implode('/', $url);
                            unset($url[0]);
                            $url = '/' . implode('/', $url);

                            $langs = Cubix_Application::getLangs();
                            $langs = array_reverse($langs);
                        ?>

                        <?php $langs = array_reverse( $langs ); ?>
                        <?php foreach ( $langs as $lang): ?>
                            <a rel="external" href="<?= ($lang->id == Cubix_Application::getDefaultLang()) ? $url : sprintf($lang_url, $lang->id) ?>" class="flag-<?= $lang->id ?>"></a>
                        <? endforeach; ?>
                    </li>
                </ul>
			</div>

            <div id="page" data-role="content" class="index-page-padding list-page">

                <div id="page_wrapper" class="page_wrapper">
                    <?= $this->layout()->content; ?>
                </div>

            </div>

            <div class="toClear"></div>

            <div id="footer_conteiner" data-role="footer" >
            </div>

        </div>

        <?= $this->render('google-analytics.phtml') ?>
		
	</body>
</html>
